Geometry > Geometry Commands > Fillet

Fillet
Create circular rounded corners (fillets) in 2D geometry objects. The Design Module supports 3D fillets.
Syntax
model.geom(<tag>).create(<ftag>,"Fillet");
model.geom(<tag>).feature(<ftag>).selection(property);
model.geom(<tag>).feature(<ftag>).set(property,<value>);
model.geom(<tag>).feature(<ftag>).getType(property);
Description
Use model.geom(<tag>).create(<ftag>,"Fillet") to round corners in 2D.
Use model.geom(<tag>).feature(<ftag>).selection("point") to select which corners to round. The default selection is empty.
on | off
all | obj | dom | bnd | pnt | off
Show selections, if selresult is on, in physics, materials, and so on; in part instances; or in 3D from a plane geometry. obj is not available in a component’s geometry. dom, bnd, and edg are not available in all features.
For information about the selresult and contributeto properties, see Selections of Geometric Entities.
Compatibility
In version 3.5a, the default was to fillet all vertices in the input objects.
The properties edges, out, and radii are no longer available.
Example
Fillet a rectangle object:
Code for use with Java
Model model = ModelUtil.create("Model1");
GeomSequence g = model.geom().create("geom1",2);
g.create("r1","Rectangle");
g.create("fil1","Fillet");
g.feature("fil1").selection("point").set("r1(1)",new int[]{1,2,3,4});
g.feature("fil1").set("radius",0.1);
g.run();
Code for use with MATLAB
model = ModelUtil.create('Model1');
g = model.geom.create('geom1',2);
g.create('r1','Rectangle');
g.create('fil1','Fillet');
g.feature('fil1').selection('point').set('r1(1)',1:4);
g.feature('fil1').set('radius',0.1);
g.run;
Diagnostics
If Fillet does not succeed in creating a rounded corner according to the specified radius, the vertex is skipped. When a fillet intersects another edge, the function generates an error message.
See Also
 Chamfer